<?php

namespace App\Entity;

use App\Repository\TourClaimDetailsRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=TourClaimDetailsRepository::class)
 */
class TourClaimDetails
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity=TourClaim::class, inversedBy="TourClaimDetails")
     * @ORM\JoinColumn(nullable=false)
     */
    private $tourClaim;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $category;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $fromPlace;

     /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $startingDate;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $toPlace;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $endingDate;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $travelMode;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $amountCurrency;

    /**
     * @ORM\Column(type="float", nullable=true)
     */
    private $amount;

    /**
     * @ORM\Column(type="string", length=555, nullable=true)
     */
    private $remarks;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTourClaim(): ?TourClaim
    {
        return $this->tourClaim;
    }

    public function setTourClaim(?TourClaim $tourClaim): self
    {
        $this->tourClaim = $tourClaim;

        return $this;
    }

    public function getCategory(): ?string
    {
        return $this->category;
    }

    public function setCategory(string $category): self
    {
        $this->category = $category;

        return $this;
    }

    public function getFromPlace(): ?string
    {
        return $this->fromPlace;
    }

    public function setFromPlace(string $fromPlace): self
    {
        $this->fromPlace = $fromPlace;

        return $this;
    }

    public function getStartingDate(): ?\DateTimeInterface
    {
        return $this->startingDate;
    }

    public function setStartingDate(?\DateTimeInterface $startingDate): self
    {
        $this->startingDate = $startingDate;

        return $this;
    }

    public function getToPlace(): ?string
    {
        return $this->toPlace;
    }

    public function setToPlace(?string $toPlace): self
    {
        $this->toPlace = $toPlace;

        return $this;
    }

    public function getEndingDate(): ?\DateTimeInterface
    {
        return $this->endingDate;
    }

    public function setEndingDate(?\DateTimeInterface $endingDate): self
    {
        $this->endingDate = $endingDate;

        return $this;
    }

    public function getTravelMode(): ?string
    {
        return $this->travelMode;
    }

    public function setTravelMode(?string $travelMode): self
    {
        $this->travelMode = $travelMode;

        return $this;
    }

    public function getAmountCurrency(): ?string
    {
        return $this->amountCurrency;
    }

    public function setAmountCurrency(string $amountCurrency): self
    {
        $this->amountCurrency = $amountCurrency;

        return $this;
    }

    public function getAmount(): ?float
    {
        return $this->amount;
    }

    public function setAmount(?float $amount): self
    {
        $this->amount = $amount;

        return $this;
    }

    public function getRemarks(): ?string
    {
        return $this->remarks;
    }

    public function setRemarks(?string $remarks): self
    {
        $this->remarks = $remarks;

        return $this;
    }


}
